Subject: bug#58988: guix pull stopped to work on my GuixSD

From: [email-masked]
Date: Thu, 03 Nov 2022 09:20:43 +0100

Hello, in the last days I cant sucessfully use "guix pull" anymore, the 
command always fails showing a stack trace and a big sequences of zeros. 
I first asked help on #guix at irc.libera.chat, I tried "sudo -i guix 
pull", also tried "guix gc --verify=contents,repair" but unfortunately I 
still with the same results when trying guix pull.

Here is the output I get when issuing "guix pull"

$ guix pull                                                              
                                                                          
                             [470/472]
Atualizando canal "guix" a partir do repositório Git 
"https://git.savannah.gnu.org/git/guix.git"...
Compilando a partir deste canal:
   guix      https://git.savannah.gnu.org/git/guix.git   e26b529
Backtrace:
In ice-9/boot-9.scm:
   1752:10 19 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
    659:37 18 (thunk)
In guix/status.scm:
     815:4 17 (call-with-status-report _ _)
In guix/store.scm:
    1321:3 16 (_)
    1298:8 15 (call-with-build-handler #<procedure 7fe3b3dbc900 at g…> …)
In guix/build/syscalls.scm:
    1425:3 14 (_)
    1392:4 13 (call-with-file-lock/no-wait _ #<procedure 7fe3a9cbcde…> …)
In guix/store.scm:
   2168:25 12 (run-with-store #<store-connection 256.99 7fe3b3da9e10> …)
In guix/scripts/pull.scm:
     452:2 11 (_ _)
In guix/channels.scm:
     891:2 10 (_ _)
In guix/monads.scm:
     471:9  9 (_ _)
In guix/store.scm:
   1996:13  8 (_ #<store-connection 256.99 7fe3b3da9e10>)
In guix/channels.scm:
    682:20  7 (build-from-source #<<channel-instance> channel: #<<ch…> …)
In ice-9/boot-9.scm:
    2836:4  6 (save-module-excursion #<procedure 7fe3a0b12520 at guix…>)
In guix/channels.scm:
    689:25  5 (_)
In unknown file:
            4 (primitive-load "/gnu/store/cpc4zc2cn4sslr043lxf5virg7p…")
In ice-9/eval.scm:
    223:20  3 (proc #<directory (guile-user) 7fe3bc68dc80>)
In unknown file:
            2 (%resolve-variable (7 . #) #<directory (guile-user) 7fe…>)
In ice-9/boot-9.scm:
   1685:16  1 (raise-exception _ #:continuable? _)
   1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
erro: 
#{\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x
0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;
\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x
....
0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;\x0;}#: 
variável não vinculada